> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List disputes for an outcome

> List all disputes filed against a specific Outcome.

List all disputes filed against a specific Outcome.

### Path parameters

<ParamField path="outcome_id" type="string (uuid)" required />

### Query parameters

<ParamField query="limit" type="integer" />

<ParamField query="offset" type="integer" />

### Response

`OutcomeDisputeListResponse`

<ResponseField name="items" type="OutcomeDisputeRead[]" required>
  <Expandable title="OutcomeDisputeRead">
    <ResponseField name="id" type="string (uuid)" required />

    <ResponseField name="outcome_id" type="string (uuid)" required />

    <ResponseField name="tenant_id" type="string (uuid)" required />

    <ResponseField name="reason" type="string" required />

    <ResponseField name="flagged_by" type="string (uuid),null" />

    <ResponseField name="flagged_at" type="string (date-time)" required />

    <ResponseField name="idempotency_key" type="string,null" />

    <ResponseField name="credit_applied_usd" type="string" required />

    <ResponseField name="resolution" type="string,null" />

    <ResponseField name="resolved_at" type="string (date-time),null" />

    <ResponseField name="resolved_by" type="string (uuid),null" />

    <ResponseField name="root_cause" type="string,null" />

    <ResponseField name="review_notes" type="string,null" />

    <ResponseField name="stripe_credit_balance_tx_id" type="string,null" />
  </Expandable>
</ResponseField>

<ResponseField name="total" type="integer" required />

<ResponseField name="limit" type="integer" required />

<ResponseField name="offset" type="integer" required />

### Status codes

| Code  | Meaning             |
| ----- | ------------------- |
| `200` | Successful Response |
| `422` | Validation Error    |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.computer.stateset.app/api/v1/outcomes/{outcome_id}/disputes' \
    --header 'X-API-Key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "items": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "reason": "Two-person tent, green — replacement for damaged pole set.",
        "flagged_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "flagged_at": "2026-08-31T14:22:05Z",
        "idempotency_key": "req_01J9X4Q8M2ZK7V3N",
        "credit_applied_usd": "string",
        "resolution": "confirmed_outcome",
        "resolved_at": "2026-08-31T14:22:05Z",
        "resolved_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "root_cause": "string",
        "review_notes": "string",
        "stripe_credit_balance_tx_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      }
    ],
    "total": 102,
    "limit": 20,
    "offset": 1
  }
  ```
</ResponseExample>
